﻿@import url('Site.css');
body {
    /* padding-top: 50px;*/
    /*padding-bottom: 20px;*/
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}


/* Javasctipt validation*/
.field-validation-error {
    color: darkorange;
}


/*file uploads and display*/

/*
.fileUpload {
	position: relative;
	overflow: hidden;
	margin-bottom: 5px;
	margin-top: 5px;
}

.fileUpload input.upload {
	position: absolute;
	top: 0;
	right: 0;
	margin: 0;
	padding: 0;
	font-size: 20px;
	cursor: pointer;
	opacity: 0;
	filter: alpha(opacity=0);
}*/


.deleteDiv {
	position: relative;
	top: -160px;
	left: 130px;
	width: 30px;
	height: 30px;
}

.imageBlock {
	display: inline-block;
}

.thumb {
	width: 159px;
	height: 159px;
}

.deleteIcon {
	width: 30px;
	height: 30px;
}



/* Yard Plan*/

#tableRowHolder {
	width: 100%;
}

table.ypTableRow {
	border: 2px solid black;
	background-color: lightgrey;
	padding: 10px;
}

table.ypTableRow th{
	font-size: 1.2em;
	font-weight: bold;
	padding: 5px;
}


table.ypTableStack {
	background-color: #eee;
}

table.ypTableStack th {
	font-size: 1.0em;
	font-weight: normal;
	padding: 3px;
}



table.ypTableSlot {
}

	table.ypTableSlot td {
		padding-left: 10px;
		padding-right: 10px;
		padding-top: 5px;
		padding-bottom: 5px;
		border: 1px solid darkgrey;
		/* background-color: white; */
	}

td.ypTdEmptySlot{
	text-align: center;
	font-style: italic;
	width: 100%;
}

td.ypTdClientWrap {
	overflow: hidden;
	text-overflow: ellipsis;
	max-width: 50px;
	white-space: nowrap;
}

ul#ypRowList {
	/*word-spacing: -0.3em;*/
}

ul#ypRowList li {
	display: inline-block;
	width: 20%;
}

ul#ypRowList li :before {
	content: "  \00b7  ";
}



tr.trManageBooking
{
	background-color: white;
}


/*
    Contact Form
*/
/* Button used to open the contact form - fixed at the bottom of the page */
.open-button {
    background-color: #237980 !important;
    color: white;
    cursor: pointer;
    position: fixed;
    right: 10px;
    padding: 10px;
    width: 120px;
    border: none;
    padding: 0.5rem 0.5rem;
    border-radius: 999rem;
    bottom: 10px;
    letter-spacing: 0.6px;
    font-size: 1.57143rem
}



/* The popup form - hidden by default */
.form-popup {
    right: 10px;
    bottom: 10px;
    box-sizing: border-box;
    color: rgb(47, 57, 65);
    height: 520px;
    width: 350px;
    max-width: 100vw;
    position: absolute;
    overflow: hidden;
    background-color: rgb(255, 255, 255);
    box-shadow: rgb(0 0 0 / 20%) 0px 0px 0.428571rem 0px;
    border-radius: 0.571429rem;
}


/* Add styles to the form container */
.form-container {
    /*max-width: 400px;
padding: 10px;
background-color: #ffffff;*/
}

.form-inner-container {
    padding: 10px;
}

.form-container header {
    padding: 1px 10px 1px 10px;
    background: rgb(35, 121, 128) !important;
    color: rgb(255, 255, 255) !important;
}

.form-container footer {
    padding: 10px;
}

/* Full-width input fields */
.form-container input[type=text] {
    margin: 5px;
    border: 1px solid rgb(216, 220, 222);
    border-radius: 4px;
    width: 99%;
    box-sizing: border-box;
    vertical-align: middle;
    font-family: inherit;
    padding: 0.714286em 0.857143em;
    min-height: 40px;
    line-height: 1.28571;
    font-size: 14px;
    background-color: rgb(255, 255, 255);
    color: rgb(47, 57, 65);
    cursor: auto;
}

    .form-container input[type=text][readonly] {
        border-color: rgb(216, 220, 222);
        background-color: rgb(248, 249, 249);
    }

    /* When the inputs get focus, do something */
    .form-container input[type=text]:focus, .form-container input[type=password]:focus {
        background-color: #ddd;
        outline: none;
    }

.form-container label {
    vertical-align: middle;
    line-height: 1.42857;
    color: rgb(47, 57, 65);
    font-size: 14px;
    font-weight: 600;
    display: block;
    margin-bottom: 0.428571rem;
    word-break: break-word;
    line-height: 1.42857 !important;
}

.form-container textarea {
    border: 1px solid rgb(216, 220, 222);
    border-radius: 4px;
    width: 100%;
    box-sizing: border-box;
    vertical-align: middle;
    font-family: inherit;
    padding: 0.714286em 0.857143em;
    min-height: 40px;
    line-height: 1.28571;
    font-size: 14px;
    background-color: rgb(255, 255, 255);
    color: rgb(47, 57, 65);
    resize: none;
    overflow: auto;
    cursor: auto;
}

.form-container button {
    display: inline-flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
    margin: 0px;
    border: 1px solid transparent;
    border-radius: 4px;
    cursor: pointer;
    text-decoration: none;
    font-family: inherit;
    font-weight: 400;
    -webkit-font-smoothing: subpixel-antialiased;
    box-sizing: border-box;
    user-select: none;
    padding: 0px 1.07143em;
    font-size: 14px;
    background-color: rgb(104, 115, 125);
    color: rgb(255, 255, 255);
    height: 2.71429rem !important;
    white-space: nowrap !important;
    overflow: hidden !important;
    text-overflow: ellipsis !important;
    line-height: 2.57143rem !important;
}


.form-container .btn {
    background-color: rgb(35, 121, 128) !important;
    color: rgb(255, 255, 255) !important;
    border-color: rgb(35, 121, 128) !important;
}


/* Add a red background color to the cancel button */
.form-container .cancel {
}

/* Add some hover effects to buttons */
.form-container .btn:hover, .open-button:hover {
    opacity: 1;
}
